Parameters
The Qualtrics API uses HTTP verbs to operate on each collection and element.
| POST | GET | PUT | DELETE |
|---|---|---|---|
| Create | Read | Update | Delete |
Example Requests
GET
GET /API/v3/users/UR_1234567890AbCdE HTTP/1.1
Host: yourdatacenterid.qualtrics.com
X-API-TOKEN: yourtokenhere
DELETE
DELETE /API/v3/users/UR_1234567890AbCdE HTTP/1.1
Host: yourdatacenterid.qualtrics.com
X-API-TOKEN: yourtokenhere
POST
POST /API/v3/users HTTP/1.1
Host: yourdatacenterid.qualtrics.com
X-API-TOKEN: yourtokenhere
Content-Type: application/json
{
"username": "exampleuser",
"firstName": "ExampleFirstName",
"lastName": "ExampleLastName",
"userType": "UT_012345678912345",
"password": "examplepassword",
"email": "example@example.com"
}
PUT
PUT /API/v3/users/UR_1234567890AbCdE HTTP/1.1
Host: yourdatacenterid.qualtrics.com
X-API-TOKEN: yourtokenhere
Content-Type: application/json
{
"firstName": "ExampleFirstName",
"email": "example@example.com"
}
HTTP Methods
HTTP GET/DELETE Requests
The parameters are passed using query string syntax. All parameters and values are case sensitive. For example:
http://test.com?surveyID=xyz123
Everything after the question mark above is a query parameter where surveyID = xyz1234
For more information see Query String Documentation.
HTTP POST/PUT Requests
Most POST and PUT requests accept parameters via the application/json content type. The only exception to this is for POST requests that accept files.
File uploads
Requests that accept files, such as survey imports, use the multipart/form-data content type.
Idempotent Requests
Some requests within the Qualtrics API enforce idempotency for safely retrying requests without accidentally performing the same operation twice. For more information, see this guide